Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.ActionCallback Class Reference

## Public Member Functions
| AddMenuItem (menu_item_config, is_prepend)
| A callback function to adds a menu item to a menu. More...
| AddSearchIndex (di_path, is_selected)
| A callback function to add a search index. More...
| AddSubMenu (menu_item_config)
| A callback function to add a menu item with a submenu to the application. More...
| AddToolButton (button_item)
| A callback function to add a tool button. More...
| Alert (msg, title, type, icon) GetIdentityProperties()
| A callback function used to pop up a dialog to show warnings or hints. More...
| Beep (type)
| A callback function to cause the system to play a sound. More...
| BrowseFile ()
| A callback function to show a file selection dialog, and the selected file path should be returned. More...
| BrowseFile (is_open_dialog, file_format, file_filter)
| A callback function to show a file selection dialog. More...
| CloseDoc (document, is_prompt_to_save)
| A callback function to close document. More...
| CreateBlankDoc ()
| A callback function to create a blank PDF document object. More...
| EnablePageLoop (is_loop)
| A callback function to set the flag specifies whether the document will loop around to the beginning of the document in response to a page advance (whether generated by mouse click, keyboard, or timer) in full screen mode. More...
| ExecuteNamedAction (document, named_action)
| A callback function to execute a named action. More...
| GetAppInfo (type)
| A callback function to get application information. More...
| GetAttachmentsFilePath (pdf_doc, name)
| A callback function to get the file path of attachments file. More...
GetOpenedDocCount() | GetCurrentDoc ()
| A callback function to receive the count of opened documents. More...
| GetCurrentPage (document)
| A callback function used to receive current page index. More...
| GetDocChangeMark (document)
| A callback function to receive the change mark which indicates whether the content of document is changed or not. More...
| GetExtractedEmbeddedFilePath (pdf_doc, name)
| A callback function to get the file path of extracted embedded file. More...
| GetFilePath (document)
| A callback function to get the file path of current PDF document. More...
| GetFullScreen ()
| A callback function to get whether the full screen mode is set. More...
| GetLanguage ()
| A callback function to get the language of the running viewer application. More...
| GetLayoutMode ()
| A callback function to get the page layout of the current document. More...
| GetMenuItemNameList ()
| A callback function to get the menu item name list. More...
| GetMousePosition ()
| A callback function to get current mouse position. More...
| GetPageRotation (document, page_index)
| A callback function used to receive current displaying rotation of a page on PDF viewer. More...
| GetPageScale ()
| A callback function to get current page zoom value. More...
| GetPageWindowRect (document, page_index)
| A callback function to get the rectangle for the page view window. The page view window is the area inside the inner document window in which the PDF content is displayed. More...
| GetPageZoomMode ()
| A callback function to get the current page zoom mode. More...
| GetPrinterNameList ()
| A callback function to get the printer name list. More...
| GetSignatureAPStyleNameList ()
| A callback function to get the name list of signature appearance style. More...
| GetTemporaryDirectory ()
| A callback function to get temporary directory. More...
| GetTemporaryFileName (document, file_suffix_name)
| A callback function to get the temporary file path. The temporary file name combine the document name with the file suffix name. More...
| GetUntitledBookmarkName ()
| A callback function to get the new name for an untitled bookmark. More...
| GetVisiblePage (document, index)
| A callback function to get the visible page index. More...
| GetVisiblePageCount (document)
| A callback function to get the visible pages count. More...
| InitModifyItem (document, item_type, page_index, dict_name)
| A callback function to init modify item. More...
| InvalidateRect (document, page_index, pdf_rect)
| A callback function to invalidate the client area within the specified rectangle. More...
| IsCurrentDocOpenedInBrowser ()
| A callback function to get the flag specifies whether current document is opened in browser. More...
| IsLocalFile (document)
| A callback function to check whether the file is local file. More...
| IsPageLoop ()
| A callback function to get the flag specifies whether the document will loop around to the beginning of the document in response to a page advance. More...
| LaunchURL (url)
| A callback function to launch to a specified URL. More...
| MailData (data, data_type, is_ui, to, subject, cc, bcc, message)
| A callback function to mail data or message, with or without user interaction. More...
| MailDoc (document, to_address, cc_address, bcc_address, subject, message, is_ui)
| A callback function to mails a document as an attachment. More...
| NotifyAfterDataChange (document, modify_item_info)
| A callback function to notify that data has been modified. More...
| NotifyBeginDoJob (document, event_type)
| A callback function used to notify javascript execution to begin. More...
| NotifyEndDoJob (document, event_type)
| A callback function to notify that javajcript execution has ended. More...
| OnFieldValueChanged (field_name, type, value_before_changed, value_after_changed)
| A callback function to notify the value change of the field. More...
| OpenDoc (file_path, password)
| A callback function to open a PDF file. More...
| OpenMediaPlayer (player_args)
| A callback function to open media player. More...
| PopupMenu (menus, is_selected_item)
| A callback function to pop up a menu window. More...
| PopupMenuEx (menus, is_selected_item)
| A callback function to pop up a menu window. More...
| PostMessageToHtml (message)
| A callback function to send message asynchronously to the message handler for the host container of the PDF document. More...
| Print (document, is_ui, page_range, is_silent, is_shrunk_to_fit, is_printed_as_image, is_reversed, is_to_print_annots)
| A callback function to print pages within a specified index range. More...
| Print (document, print_params) SubmitForm(document
| A callback function to print document with print parameters. More...
| Query (keywords, search_scope, search_option, di_path)
| A callback function to query the text keywords. More...
| Release ()
| A callback function used to release current callback object itself. More...
| RemoveSearchIndex (search_index_config)
| (Reserved, unsupported yet) A callback function to remove a search index. More...
| RemoveToolButtom (button_name)
| A callback function to remove a tool button added by the function FSDK.ActionCallback.AddToolButton. More...
| ResetModifyItem (document)
| A callback function to reset modify item. More...
| Response (question, title, default_value, label, is_password)
| A callback function to display a dialog box containing a question and an entry field for the user to reply to the question. More...
| Scroll (point)
| A callback function to scroll the specified point on the current page into the middle of the current view. More...
| SelectPageNthWord (page_index, start_offset, end_offset, is_show_selection)
| A callback function to change the current page number and selects the specified word on the page. More...
| SetCurrentPage (document, page_index)
| A callback function used to set the current page by index. More...
| SetCurrentPage (document, destination)
| A callback function used to set the current page by destination. More...
| SetDefaultPageTransitionMode (trans_type, trans_di)
| A callback function to set the default page trastion mode for full screen mode. More...
| SetDocChangeMark (document, change_mark)
| A callback function to set the change mark which indicates whether the content of document is changed or not. More...
| SetFullScreen (is_full_screen)
| A callback function to set full screen mode. More...
| SetIdentityProperties (identity_properties)
| A callback function used to set identity properties of current user. More...
| SetLayoutMode (layout_mode, is_cover_mode)
| A callback function to set the page layout of the current document. More...
| SetPageRotation (document, page_index, rotation)
| A callback function used to set the rotation value of a page on PDF viewer. More...
| SetPageScale (zoom_mode, dest)
| A callback function to set current page zoom value. More...
| ShowDialog (dlg_config)
| A callback function to show the dialog. More...
| SoapRequest (request_params)
| Initiates a remote procedure call (RPC) or sends an XML message to a SOAP HTTP endpoint. More...
| UpdateLogicalLabel ()
| A callback function to update logical label. More...
| VerifySignature (document, pdf_signature)
| A callback function to verify specified signature.. More...

## Static Public Attributes
static | e_AppInfoTypeAppVersion
| Application's app version information.
static | e_AppInfoTypeFormsVersion
| Enumeration for application's information type. More...
static | e_AppInfoTypeViewerType
| Application's viewer type information.
static | e_AppInfoTypeViewerVariation
| Application's viewer variation information.
static | e_AppInfoTypeViewerVersion
| Application's viewer version information.
static | e_JSFieldValueChangedByCalculation
| javascript field value changed type : calculation.
static | e_JSFieldValueChangedByFormat
| Enumeration for javascript field value change type. More...
static | e_JSFieldValueChangedBySet
| javascript field value changed type: field set.
static | e_JSMailResultFailed
| Enumeration for result of the mail. More...
static | e_JSMailResultSuccess
| Mailed result: mail success.
static | e_JSMailResultUserAbort
| Mailed result: user abort.
static | e_JSMediaPlayerStateClose
| media player state: Close.
static | e_JSMediaPlayerStateOpen
| Enumeration for media player state. More...
static | e_JSMediaPlayerStatePlaying
| media player state: Playing.
static | e_JSMediaPlayerStateStop
| media player state: Stop.
static | e_JSMediaPlayerStateSuspend
| media player state: Suspend.
static | e_LanguageCHS
| Chinese Simplified.
static | e_LanguageCHT
| Chinese Traditional.
static | e_LanguageDAN
| Danish.
static | e_LanguageDEU
| German.
static | e_LanguageENU
| English.
static | e_LanguageESP
| Spanish.
static | e_LanguageFRA
| French.
static | e_LanguageITA
| Italian.
static | e_LanguageJPN
| Japanese.
static | e_LanguageKOR
| Korean.
static | e_LanguageNLD
| Dutch.
static | e_LanguageNOR
| Norwegian.
static | e_LanguagePTB
| Brazilian Portuguese.
static | e_LanguageSUO
| Finnish.
static | e_LanguageSVE
| Swedish.
static | e_LanguageUnknown
| Enumeration for language. More...
static | e_LayoutModeContinuous
| Layout mode: continuous page.
static | e_LayoutModeContinuousFacing
| Layout mode: continuous two pages.
static | e_LayoutModeFacing
| Layout mode: two pages.
static | e_LayoutModeSinglePage
| Enumeration for layout mode. More...
static | e_MailTypeDoc
| Enumeration for data type to be mailed. More...
static | e_MailTypeForm
| Mailed data type: form.
static | e_MailTypeMsg
| Mailed data type: string message.
static | e_SearchScopeActiveDoc
| Enumeration for search scope. More...
static | e_SearchScopeActiveIndexes
| Search scope: active indexes.
static | e_SearchScopeFolder
| Search scope: folder.
static | e_SearchScopeIndex
| Search scope: index.

## Detailed Description

This class represents a callback object for performing PDF actions. All the pure virtual functions in this class are used as callback functions and should be implemented by user, to perform PDF actions, such as javascript actions.

## Member Function Documentation

## ◆ AddMenuItem()

FSDK.ActionCallback.AddMenuItem | ( | menu_item_config | ,
|  | is_prepend |
| ) |  |

A callback function to adds a menu item to a menu.

This callback function will be triggered by the javascript method "app.addMenuItem".

Parameters

  [in] | menu_item_config | The config of the menu item.
  [in] | is_prepend | Determines the position of the new menu item relative to the position specified by FSDK.MenuItemConfig.pos or FSDK.MenuItemConfig.pos_str. The default value is false. If this parameter is true, the rules for insertion are as follows: If FSDK.MenuItemConfig.pos_str is used, the new item is placed before the named item. If FSDK.MenuItemConfig.pos is used, the new item is placed before the numbered item. If the named item cannot be found or position is not between zero and the number of items in the list, inclusive, the new item is inserted as the first item in the menu (rather than at the end of the menu). parameter is useful when the named item is the first item in a group.

Returns
  true means success, while false means failure.

## ◆ AddSearchIndex()

FSDK.ActionCallback.AddSearchIndex | ( | di_path | ,
|  | is_selected |
| ) |  |

A callback function to add a search index.

This callback function will be triggered by the javascript method "search.addIndex". This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | di_path | A device-independent path to an index file on the user's hard drive.
  [in] | is_selected | Specifies whether the index should be selected for searching. Default value: true.

Returns
  A FSDK.SearchIndexConfig.

## ◆ AddSubMenu()

FSDK.ActionCallback.AddSubMenu | ( | menu_item_config |  | ) |

A callback function to add a menu item with a submenu to the application.

This callback function will be triggered by the javascript method "app.addSubMenu".

Parameters

  [in] | menu_item_config | The config of the menu item.

Returns
  true means success, while false means failure.

## ◆ AddToolButton()

FSDK.ActionCallback.AddToolButton | ( | button_item |  | ) |

A callback function to add a tool button.

This callback function will be triggered by the javascript method "app.addToolButton".

Parameters

  [in] | button_item | The FSDK.ButtonItem object of the tool button.

Returns
  true means success, while false means failure.

## ◆ Alert()

FSDK.ActionCallback.Alert | ( | msg | ,
|  | title | ,
|  | type | ,
|  | icon |
| ) |  |

A callback function used to pop up a dialog to show warnings or hints.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | msg | The message string to be displayed in the dialog.
  [in] | title | The title of the dialog.
  [in] | type | Type of button group. It would be one of following values: 0: OK;(default value.) 1: OK, Cancel; 2: Yes, NO; 3: Yes, NO, Cancel.
  [in] | icon | Icon type. It would be one of following values: 0: Error;(default value.) 1: Warning; 2: Question; 3: Status.

Returns
  The return value should be one of following values:
  - 1: OK;
  - 2: Cancel;
  - 3: NO;
  - 4: Yes;
  A callback function used to get identity properties of current user.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  An identity properties object that specifies the identity properties of current user.

## ◆ Beep()

FSDK.ActionCallback.Beep | ( | type |  | ) |

A callback function to cause the system to play a sound.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | type | Sound type. The value would be on of following values: 0: Error 1: Warning 2: Question 3: Status 4: Default (default value)

Returns
  true means success, while false means failure.

## ◆ BrowseFile() [1/2]

FSDK.ActionCallback.BrowseFile | ( |  | ) |

A callback function to show a file selection dialog, and the selected file path should be returned.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  The file path. It can be an empty string.

## ◆ BrowseFile() [2/2]

FSDK.ActionCallback.BrowseFile | ( | is_open_dialog | ,
|  | file_format | ,
|  | file_filter |
| ) |  |

A callback function to show a file selection dialog.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | is_open_dialog | A boolean value to specify whether the dialog is for opening file or saving file. true means the dialog should be used to open file, while false means the dialog should be used to save file.
  [in] | file_format | The file format string.
  [in] | file_filter | The file filter string.

Returns
  The file path. It can be an empty string.

## ◆ CloseDoc()

FSDK.ActionCallback.CloseDoc | ( | document | ,
|  | is_prompt_to_save |
| ) |  |

A callback function to close document.

This callback function will be triggered by the javascript method "Doc.closeDoc". This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | is_prompt_to_save | true means show save prompt, while false means not.

Returns
  None.

## ◆ CreateBlankDoc()

FSDK.ActionCallback.CreateBlankDoc | ( |  | ) |

A callback function to create a blank PDF document object.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  The newly created blank PDF document object.

## ◆ EnablePageLoop()

FSDK.ActionCallback.EnablePageLoop | ( | is_loop |  | ) |

A callback function to set the flag specifies whether the document will loop around to the beginning of the document in response to a page advance (whether generated by mouse click, keyboard, or timer) in full screen mode.

This callback function will be triggered by the javascript property "app.fs.loop". This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | is_loop | true means to loop around to the beginning of the document, while false means not.

Returns
  None.

## ◆ ExecuteNamedAction()

FSDK.ActionCallback.ExecuteNamedAction | ( | document | ,
|  | named_action |
| ) |  |

A callback function to execute a named action.

Please refer to description of "Named Actions" in Section 8.5.3 of <PDF Reference 1.7> for more details. This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | named_action | A string to specify a named action.

Returns
  true means success, while false means failure.

## ◆ GetAppInfo()

FSDK.ActionCallback.GetAppInfo | ( | type |  | ) |

A callback function to get application information.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.
For the digital information like FSDK.ActionCallback.e_AppInfoTypeViewerVersion, FSDK.ActionCallback.e_AppInfoTypeAppVersion and FSDK.ActionCallback.e_AppInfoTypeFormsVersion, please use string to represent it.

Parameters

  [in] | type | Type of information. Please refer to values starting from FSDK.ActionCallback.e_AppInfoTypeFormsVersion and this would be one of these values.

Returns
  The application information.

## ◆ GetAttachmentsFilePath()

FSDK.ActionCallback.GetAttachmentsFilePath | ( | pdf_doc | ,
|  | name |
| ) |  |

A callback function to get the file path of attachments file.

This callback function will be triggered by the javascript method "Doc.importDataObject". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | pdf_doc | A PDF document object. It will embed with a data object.
  [in] | name | The name to associate with the data object. It's the parameter "cName" of the method "Doc.importDataObject".

Returns
  The path of the file which will be embedded as a data object.

## ◆ GetCurrentDoc()

GetOpenedDocCount () FSDK.ActionCallback.GetCurrentDoc | ( |  | ) |

A callback function to receive the count of opened documents.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  The count of opened documents.A callback function to receive an opened PDF document object by index.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | index | The index of an opened PDF documents. Valid range: from 0 to count-1. count is returned by callback function FSDK.ActionCallback.GetOpenedDocCount;

Returns
  A opened PDF document object.A callback function to receive current PDF document object.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  Current PDF document object.

## ◆ GetCurrentPage()

FSDK.ActionCallback.GetCurrentPage | ( | document |  | ) |

A callback function used to receive current page index.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.

Returns
  Current page index. The value should be stared from 0 and less than page count of the specified document.

## ◆ GetDocChangeMark()

FSDK.ActionCallback.GetDocChangeMark | ( | document |  | ) |

A callback function to receive the change mark which indicates whether the content of document is changed or not.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.

Returns
  true means the PDF document is changed, while false means not.

## ◆ GetExtractedEmbeddedFilePath()

FSDK.ActionCallback.GetExtractedEmbeddedFilePath | ( | pdf_doc | ,
|  | name |
| ) |  |

A callback function to get the file path of extracted embedded file.

This callback function will be triggered by the javascript method "Doc.exportDataObject". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | pdf_doc | A PDF document object. It will be embedded as a data object to the file .
  [in] | name | The name of the data object to extract. It's the parameter "cName" of the method "Doc.exportDataObject".

Returns
  The path of the file which will embed with a data object.

## ◆ GetFilePath()

FSDK.ActionCallback.GetFilePath | ( | document |  | ) |

A callback function to get the file path of current PDF document.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.

Returns
  The file path.

## ◆ GetFullScreen()

FSDK.ActionCallback.GetFullScreen | ( |  | ) |

A callback function to get whether the full screen mode is set.

This callback function will be triggered by the javascript property "app.fullScreen" or "app.fs.isFullScreen".

Returns
  true means the full screen mode is set, while false means not.

## ◆ GetLanguage()

FSDK.ActionCallback.GetLanguage | ( |  | ) |

A callback function to get the language of the running viewer application.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  The language type. Please refer to values starting from FSDK.ActionCallback.e_LanguageUnknown and this should be one of these values.

## ◆ GetLayoutMode()

FSDK.ActionCallback.GetLayoutMode | ( |  | ) |

A callback function to get the page layout of the current document.

This callback function will be triggered by the javascript properties "Doc.layout". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  The layout mode. Please refer to values starting from FSDK.ActionCallback.e_LayoutModeSinglePage and this should be one of these values.

## ◆ GetMenuItemNameList()

FSDK.ActionCallback.GetMenuItemNameList | ( |  | ) |

A callback function to get the menu item name list.

This callback function will be triggered by the javascript method "app.listMenuItems".

Returns
  An array of menu list objects.

## ◆ GetMousePosition()

FSDK.ActionCallback.GetMousePosition | ( |  | ) |

A callback function to get current mouse position.

This callback function will be triggered by the javascript properties "doc.mouseX" or "doc.mouseY". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  A position in device coordinate system.

## ◆ GetPageRotation()

FSDK.ActionCallback.GetPageRotation | ( | document | ,
|  | page_index |
| ) |  |

A callback function used to receive current displaying rotation of a page on PDF viewer.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | page_index | A page index, used to specify which page's rotation is to be retrieved. The index would start from 0 and less than page count of the specified document.

Returns
  The rotation of specified page. Please refer to values starting from FSDK.e_Rotation0 and this should be one of these values.

## ◆ GetPageScale()

FSDK.ActionCallback.GetPageScale | ( |  | ) |

A callback function to get current page zoom value.

This callback function will be triggered by the javascript properties "Doc.zoom". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  A zoom value. For example, a zoom value of 1.0 specifies 100%. It should be a positive number.

## ◆ GetPageWindowRect()

FSDK.ActionCallback.GetPageWindowRect | ( | document | ,
|  | page_index |
| ) |  |

A callback function to get the rectangle for the page view window. The page view window is the area inside the inner document window in which the PDF content is displayed.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | page_index | The page index.

This callback function will be triggered by the javascript property "Doc.pageWindowRect". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  A rectangle for the page view window.

## ◆ GetPageZoomMode()

FSDK.ActionCallback.GetPageZoomMode | ( |  | ) |

A callback function to get the current page zoom mode.

This callback function will be triggered by the javascript properties "Doc.zoom" or "Doc.zoomType". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  The zoom mode. Please refer to values starting from FSDK.Destination.e_ZoomXYZ and this should be one of these values.

## ◆ GetPrinterNameList()

FSDK.ActionCallback.GetPrinterNameList | ( |  | ) |

A callback function to get the printer name list.

This callback function will be triggered by the javascript property "app.printerNames". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  An array of the printer name.

## ◆ GetSignatureAPStyleNameList()

FSDK.ActionCallback.GetSignatureAPStyleNameList | ( |  | ) |

A callback function to get the name list of signature appearance style.

This callback function will be triggered by the javascript method "SecurityHandler.appearances". This callback function is optional, so it can be implemented to do nothing.

Returns
  An array of signature appearance style name.

## ◆ GetTemporaryDirectory()

FSDK.ActionCallback.GetTemporaryDirectory | ( |  | ) |

A callback function to get temporary directory.

This callback function will be triggered by the javascript method "Doc.extractpages". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  The temporary directory.

## ◆ GetTemporaryFileName()

FSDK.ActionCallback.GetTemporaryFileName | ( | document | ,
|  | file_suffix_name |
| ) |  |

A callback function to get the temporary file path. The temporary file name combine the document name with the file suffix name.

This callback function will be triggered by the javascript method "Doc.mailForm". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | file_suffix_name | File suffix name.

Returns
  The temporary file path.

## ◆ GetUntitledBookmarkName()

FSDK.ActionCallback.GetUntitledBookmarkName | ( |  | ) |

A callback function to get the new name for an untitled bookmark.

This callback function will be triggered by the javascript mothod "bookmark.createChild" when the parameter "cName" of the method is an empty string. This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  A new name for an untitled bookmark.

## ◆ GetVisiblePage()

FSDK.ActionCallback.GetVisiblePage | ( | document | ,
|  | index |
| ) |  |

A callback function to get the visible page index.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | index | The visible page index. Valid range: from 0 to (count-1). count is returned by function FSDK.ActionCallback.GetVisiblePagesCount.

Returns
  The page index of visible page.

## ◆ GetVisiblePageCount()

FSDK.ActionCallback.GetVisiblePageCount | ( | document |  | ) |

A callback function to get the visible pages count.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.

Returns
  The count of visible pages.

## ◆ InitModifyItem()

FSDK.ActionCallback.InitModifyItem | ( | document | ,
|  | item_type | ,
|  | page_index | ,
|  | dict_name |
| ) |  |

A callback function to init modify item.

This callback function is optional, so it can be implemented to do nothing if no action is required.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | item_type | The modify item type. Please refer to values starting from ActionCallback.e_ModifyItemTypeNone and this should be one of these values.
  [in] | page_index | A page index which is used to change current page.
  [in] | dict_name | The name of the dictionary.

Returns
  None.

## ◆ InvalidateRect()

FSDK.ActionCallback.InvalidateRect | ( | document | ,
|  | page_index | ,
|  | pdf_rect |
| ) |  |

A callback function to invalidate the client area within the specified rectangle.

All positions are measured in PDF "user space". Implementation should call function FSDK.Renderer.StartRender for repainting a specified page area.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | page_index | A page index. It would start from 0 and less than page count of the specified document.
  [in] | pdf_rect | A rectangle that specifies the page area in PDF coordinate system. If this is an empty rectangle, that means to refresh the whole page.

Returns
  true means success, while false means failure.

## ◆ IsCurrentDocOpenedInBrowser()

FSDK.ActionCallback.IsCurrentDocOpenedInBrowser | ( |  | ) |

A callback function to get the flag specifies whether current document is opened in browser.

This callback function will be triggered by the javascript property "doc.hostContainer". This callback function is optional, so it can be implemented to do nothing.

Returns
  true means current document is opened in browser, while false means not.

## ◆ IsLocalFile()

FSDK.ActionCallback.IsLocalFile | ( | document |  | ) |

A callback function to check whether the file is local file.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.

Returns
  true means the PDF file is loacl file.

## ◆ IsPageLoop()

FSDK.ActionCallback.IsPageLoop | ( |  | ) |

A callback function to get the flag specifies whether the document will loop around to the beginning of the document in response to a page advance.

This callback function will be triggered by the javascript property "app.fs.loop". This callback function is optional, so it can be implemented to do nothing.

Returns
  true means to loop around to the beginning of the document, while false means not.

## ◆ LaunchURL()

FSDK.ActionCallback.LaunchURL | ( | url |  | ) |

A callback function to launch to a specified URL.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | url | A URL.

Returns
  true means success, while false means failure.

## ◆ MailData()

FSDK.ActionCallback.MailData | ( | data | ,
|  | data_type | ,
|  | is_ui | ,
|  | to | ,
|  | subject | ,
|  | cc | ,
|  | bcc | ,
|  | message |
| ) |  |

A callback function to mail data or message, with or without user interaction.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | data | A data which is to be mailed. The value and type of the data depends on parameter data_type: This should be null when parameter data_type is FSDK.ActionCallback.e_MailTypeMsg. This should represents a WString object when parameter data_type is FSDK.ActionCallback.e_MailTypeForm. This should represents a FSDK.PDFDoc object when parameter data_type is FSDK.ActionCallback.e_MailTypeDoc.
  [in] | data_type | Mail type. Please refer to values starting from FSDK.ActionCallback.e_MailTypeDoc and this would be one of these values.
  [in] | is_ui | true means that the remaining parameters are used to seed the compose-new-message window which is displayed to the user. false means that the parameter to is required and all other parameters are optional.
  [in] | to | A string that specifies a semicolon-delimited list of recipients for the message.
  [in] | subject | A string that specifies the subject of the message. The limit of this string's length is 64 KB.
  [in] | cc | A string that specifies a semicolon-delimited list of CC recipients for the message.
  [in] | bcc | A string that specifies a semicolon-delimited list of BCC recipients for the message.
  [in] | message | A string that specifies the content of the message. The limit of this string's length is 64 KB.

Returns
  true means success, while false means failure.

## ◆ MailDoc()

FSDK.ActionCallback.MailDoc | ( | document | ,
|  | to_address | ,
|  | cc_address | ,
|  | bcc_address | ,
|  | subject | ,
|  | message | ,
|  | is_ui |
| ) |  |

A callback function to mails a document as an attachment.

This callback function will be triggered by the javascript method "Doc.mailDoc". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | to_address | To address.
  [in] | cc_address | Cc address.
  [in] | bcc_address | Bcc address.
  [in] | subject | Mail subject.
  [in] | message | Mail message.
  [in] | is_ui | true means to show mail dialog, while false means not.

Returns
  The mail result. Please refer to values starting from FSDK.ActionCallback.e_JSMailResultFailed and this should be one of these values.

## ◆ NotifyAfterDataChange()

FSDK.ActionCallback.NotifyAfterDataChange | ( | document | ,
|  | modify_item_info |
| ) |  |

A callback function to notify that data has been modified.

This callback function is optional, so it can be implemented to do nothing if no action is required.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | modify_item_info | A JavascriptModifyItemInfo object containing details about the modification.

Returns
  None.

## ◆ NotifyBeginDoJob()

FSDK.ActionCallback.NotifyBeginDoJob | ( | document | ,
|  | event_type |
| ) |  |

A callback function used to notify javascript execution to begin.

This callback function is optional, so it can be implemented to do nothing if no action is required.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | event_type | The javascript event type. Please refer to values starting from JavascriptModifyItemInfo.e_JavascriptEventTypeUnknown and this should be one of these values.

Returns
  None.

## ◆ NotifyEndDoJob()

FSDK.ActionCallback.NotifyEndDoJob | ( | document | ,
|  | event_type |
| ) |  |

A callback function to notify that javajcript execution has ended.

This callback function is optional, so it can be implemented to do nothing if no action is required.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | event_type | The javascript event type. Please refer to values starting from JavascriptModifyItemInfo.e_JavascriptEventTypeUnknown and this should be one of these values.

Returns
  None.

## ◆ OnFieldValueChanged()

FSDK.ActionCallback.OnFieldValueChanged | ( | field_name | ,
|  | type | ,
|  | value_before_changed | ,
|  | value_after_changed |
| ) |  |

A callback function to notify the value change of the field.

This callback function will be triggered when the field's value is changed via JavaScript.

Parameters

  [in] | field_name | A string that specifies the field name.
  [in] | type | Field value change type. Please refer to values starting from FSDK.ActionCallback.e_JSFieldValueChangedByFormat and this would be one of these values.
  [in] | value_before_changed | A string array that specifies the field's value before the change.

For a list box, the parameter represent one or more than one of the field's items which be selected simultaneously.

Parameters

  [in] | value_after_changed | A string array that specifies the field's value after the change. For a list box, the parameter represent one or more than one of the field's items which be selected simultaneously.

Returns
  None.

## ◆ OpenDoc()

FSDK.ActionCallback.OpenDoc | ( | file_path | ,
|  | password |
| ) |  |

A callback function to open a PDF file.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | file_path | A full path of an existing PDF file.
  [in] | password | Password for input PDF file. This may be an empty string.

Returns
  An opened PDF document object.

## ◆ OpenMediaPlayer()

FSDK.ActionCallback.OpenMediaPlayer | ( | player_args |  | ) |

A callback function to open media player.

This callback function will be triggered by the javascript method "app.media.openPlayer" or "app.media.createPlayer".

Parameters

  [in] | player_args | The FSDK.PlayerArgs object.

Returns
  A FSDK.MediaPlayerCallback object.

## ◆ PopupMenu()

FSDK.ActionCallback.PopupMenu | ( | menus | ,
|  | is_selected_item |
| ) |  |

A callback function to pop up a menu window.

The position of menu window is the same as cursor's. This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | menus | An array of menu list objects.
  [out] | is_selected_item | Output parameter that receives the value of whether a menu item is selected or not. true means that the menu item is selected, while false means that the menu item is not selected.

Returns
  The name of the menu item that was selected.

## ◆ PopupMenuEx()

FSDK.ActionCallback.PopupMenuEx | ( | menus | ,
|  | is_selected_item |
| ) |  |

A callback function to pop up a menu window.

The position of menu window is the same as cursor's. This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | menus | An array of FSDK.MenuItemEx objects.
  [out] | is_selected_item | Output parameter that receives the value of whether a menu item is selected or not. true means that the menu item is selected, while false means that the menu item is not selected.

Returns
  The FSDK.MenuItemEx object of the menu item that was selected.

## ◆ PostMessageToHtml()

FSDK.ActionCallback.PostMessageToHtml | ( | message |  | ) |

A callback function to send message asynchronously to the message handler for the host container of the PDF document.

For this message to be delivered, the host container (for example, an <OBJECT> element in an HTML page) must have registered for notification by setting its messageHandler property.
This callback function will be triggered by the javascript method "doc.hostContainer.postMessage". This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | message | An array of string that specifies the message to be posted.

Returns
  None.

## ◆ Print() [1/2]

FSDK.ActionCallback.Print | ( | document | ,
|  | is_ui | ,
|  | page_range | ,
|  | is_silent | ,
|  | is_shrunk_to_fit | ,
|  | is_printed_as_image | ,
|  | is_reversed | ,
|  | is_to_print_annots |
| ) |  |

A callback function to print pages within a specified index range.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | is_ui | true means that a UI should be presented to the user to obtain printing information and confirm the action.
  [in] | page_range | A range object to specify the page range for printing. All the indexes represented in this range would start from 0 and less than page count of the specified document.
  [in] | is_silent | true means that the cancel dialog box should be suppressed while the document is printing.
  [in] | is_shrunk_to_fit | true means that the page should be shrunk (if necessary) to fit within the area of the printed page.
  [in] | is_printed_as_image | true means that pages should be printed as image.
  [in] | is_reversed | true means that the printing order should be from parameter end to parameter start.
  [in] | is_to_print_annots | true means that annotations should be printed with page.

Returns
  true means success, while false means failure.

## ◆ Print() [2/2]

FSDK.ActionCallback.Print | ( |  | document,
|  |  | print_params
| ) |  |

A callback function to print document with print parameters.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | print_params | A FSDK.PrintParams object.

Returns
  true means success, while false means failure.A callback function to submit the form data to a specified URL.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | form_data | A form data buffer which is to be submitted.
  [in] | length | The size (in bytes) of the buffer parameterform_data.
  [in] | url | A URL, to which the form data will be submitted.
  [in] | file_format_type | File format type for submission form. Please refer to values starting from FSDK.e_FileFormatTypeFDF and this would be one of these values.

Returns
  true means success, while false means failure.

## ◆ Query()

FSDK.ActionCallback.Query | ( | keywords | ,
|  | search_scope | ,
|  | search_option | ,
|  | di_path |
| ) |  |

A callback function to query the text keywords.

This callback function will be triggered by the javascript method "search.query". This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | keywords | The text content for which to search.
  [in] | search_scope | Specifies where the text should be searched. Please refer to values starting from FSDK.ActionCallback.e_SearchScopeActiveDoc and this should be one of these values.
  [in] | search_option | A FSDK.SearchOption object that represents search option.
  [in] | di_path | A device-independent path to a folder or search index on the user's computer. This parameter is optional. When search_scope is FSDK.ActionCallback.e_SearchScopeFolder or FSDK.ActionCallback.e_SearchScopeIndex, this parameter is required.

Returns
  None.

## ◆ Release()

FSDK.ActionCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ RemoveSearchIndex()

FSDK.ActionCallback.RemoveSearchIndex | ( | search_index_config |  | ) |

(Reserved, unsupported yet) A callback function to remove a search index.

This callback function will be triggered by the javascript method "search.removeIndex". This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | search_index_config | A FSDK.SearchIndexConfig that represents the search index config.

Returns
  true means success, while false means failure.

## ◆ RemoveToolButtom()

FSDK.ActionCallback.RemoveToolButtom | ( | button_name |  | ) |

A callback function to remove a tool button added by the function FSDK.ActionCallback.AddToolButton.

This callback function will be triggered by the javascript method "app.removeToolButton".

Parameters

  [in] | button_name | The name of the tool button.

Returns
  true means success, while false means failure.

## ◆ ResetModifyItem()

FSDK.ActionCallback.ResetModifyItem | ( | document |  | ) |

A callback function to reset modify item.

This callback function is optional, so it can be implemented to do nothing if no action is required.

Parameters

  [in] | document | A PDF document object. It would be valid.

## ◆ Response()

FSDK.ActionCallback.Response | ( | question | ,
|  | title | ,
|  | default_value | ,
|  | label | ,
|  | is_password |
| ) |  |

A callback function to display a dialog box containing a question and an entry field for the user to reply to the question.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | question | A string that specifies the question to be posed to the user.
  [in] | title | A string that specifies the title of the dialog box.
  [in] | default_value | A string that specifies a default value as the answer to the question. If the answer is not specified, no default value is presented.
  [in] | label | A string that specifies a short string to appear in front of the edit text field.
  [in] | is_password | A boolean value that indicates whether user's response should be masked to show: true means that the user's response should show as asterisks (*) or bullets (?) to mask the response, which might be sensitive information.

Returns
  User's response. It can be an empty string.

## ◆ Scroll()

FSDK.ActionCallback.Scroll | ( | point |  | ) |

A callback function to scroll the specified point on the current page into the middle of the current view.

This callback function will be triggered by the javascript method "Doc.scroll". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | point | The specified point[PDF coordinate system].

Returns
  None.

## ◆ SelectPageNthWord()

FSDK.ActionCallback.SelectPageNthWord | ( | page_index | ,
|  | start_offset | ,
|  | end_offset | ,
|  | is_show_selection |
| ) |  |

A callback function to change the current page number and selects the specified word on the page.

This callback function will be triggered by the javascript method "Doc.selectPageNthWord". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | page_index | The page index.
  [in] | start_offset | The start word offset.
  [in] | end_offset | The end word offset.
  [in] | is_show_selection | true means to show selection, while false means not.

Returns
  None.

## ◆ SetCurrentPage() [1/2]

FSDK.ActionCallback.SetCurrentPage | ( | document | ,
|  | page_index |
| ) |  |

A callback function used to set the current page by index.

This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | page_index | A page index which is used to change current page. The index would start from 0 and less than page count of the specified document.

Returns
  None.

## ◆ SetCurrentPage() [2/2]

FSDK.ActionCallback.SetCurrentPage | ( | document | ,
|  | destination |
| ) |  |

A callback function used to set the current page by destination.

This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | destination | A FSDK.object. None.

## ◆ SetDefaultPageTransitionMode()

FSDK.ActionCallback.SetDefaultPageTransitionMode | ( | trans_type | ,
|  | trans_di |
| ) |  |

A callback function to set the default page trastion mode for full screen mode.

This callback function will be triggered by the javascript property "app.fs.defaultTransition". This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | trans_type | A string that specifies the type of the transition effect. Please refer to the follow values: "Split", "Box", "Fly", "Blinds", "Push", "Wipe", "Glitter", "Cover", "Uncover", "Dissolve", "Replace", "Fade".
  [in] | trans_di | A string that specifies the direction of the transition effect. For "Split", this value can be "HorizontalInward", "HorizontalOutward", "VerticalInward" or "VerticalOutward". For "Box", this value can be "Outward" or "Inward". For "Fly" and "Push", this value can be "Left", "Right", "Up"or "Down". For "Blinds", this value can be "Horizontal" or "Vertical". For "Wipe", "Glitter", "Uncover" and "Cover", this value can be "Left","LeftUp", "LeftDown", "Right", "RightUp", "RightDown","Up"or "Down". For "Dissolve", "Replace" and "Fade", this value will be null.

Returns
  None.

## ◆ SetDocChangeMark()

FSDK.ActionCallback.SetDocChangeMark | ( | document | ,
|  | change_mark |
| ) |  |

A callback function to set the change mark which indicates whether the content of document is changed or not.

This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | change_mark | A boolean value that indicates whether the content of document is changed or not.

Returns
  true means success, while false means failure.

## ◆ SetFullScreen()

FSDK.ActionCallback.SetFullScreen | ( | is_full_screen |  | ) |

A callback function to set full screen mode.

This callback function will be triggered when the javascript property "app.fullScreen" or "app.fs.isFullScreen" is to be set.

Parameters

  [in] | is_full_screen | true means to set full screen mode, while false means not.

Returns
  None.

## ◆ SetIdentityProperties()

FSDK.ActionCallback.SetIdentityProperties | ( | identity_properties |  | ) |

A callback function used to set identity properties of current user.

This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | identity_properties | An identity properties object used to be set.

Returns
  true means success, while false means failure.

## ◆ SetLayoutMode()

FSDK.ActionCallback.SetLayoutMode | ( | layout_mode | ,
|  | is_cover_mode |
| ) |  |

A callback function to set the page layout of the current document.

This callback function will be triggered by the javascript properties "Doc.layout". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | layout_mode | The layout mode. Please refer to values starting from FSDK.ActionCallback.e_LayoutModeSinglePage and this should be one of these values.
  [in] | is_cover_mode | true means that the cover will always displayed separately, while false means not.

Returns
  None.

## ◆ SetPageRotation()

FSDK.ActionCallback.SetPageRotation | ( | document | ,
|  | page_index | ,
|  | rotation |
| ) |  |

A callback function used to set the rotation value of a page on PDF viewer.

This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | page_index | A page index, used to specify which page's rotation is to be changed. The index would start from 0 and less than page count of the specified document.
  [in] | rotation | New rotation value. Please refer to values starting from FSDK.e_Rotation0 and this should be one of these values except FSDK.e_RotationUnknown.

Returns
  true means success, while false means failure.

## ◆ SetPageScale()

FSDK.ActionCallback.SetPageScale | ( | zoom_mode | ,
|  | dest |
| ) |  |

A callback function to set current page zoom value.

This callback function will be triggered by the javascript properties "Doc.zoom" or "Doc.zoomType". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Parameters

  [in] | zoom_mode | The zoom mode. Please refer to values starting from FSDK.Destination.e_ZoomXYZ and this should be one of these values.
  [in] | dest | A FSDK.Destination object that represents destination data.

Returns
  None.

## ◆ ShowDialog()

FSDK.ActionCallback.ShowDialog | ( | dlg_config |  | ) |

A callback function to show the dialog.

This callback function will be triggered by the javascript method "app.execDialog".

Parameters

  [in] | dlg_config | The FSDK.DialogDescriptionConfig object.

Returns
  true means success, while false means failure.

## ◆ SoapRequest()

FSDK.ActionCallback.SoapRequest | ( | request_params |  | ) |

Initiates a remote procedure call (RPC) or sends an XML message to a SOAP HTTP endpoint.

The method either waits for the endpoint to reply (synchronous processing) or calls a method on the notification object (asynchronous processing).
This callback function will be triggered by the javascript method "SOAP.request". This callback function is optional, so it can be implemented to do nothing.

Parameters

  [in] | request_params | A FSDK.SOAPRequestProperties object that contains the property parameters for the SOAP request.

Returns
  A FSDK.SOAPResponseInfo object.

## ◆ UpdateLogicalLabel()

FSDK.ActionCallback.UpdateLogicalLabel | ( |  | ) |

A callback function to update logical label.

This callback function will be triggered by the javascript method "Doc.setPageLabels". This callback function is optional, so it can be implemented to do nothing and just return a useless value.

Returns
  None.

## ◆ VerifySignature()

FSDK.ActionCallback.VerifySignature | ( | document | ,
|  | pdf_signature |
| ) |  |

A callback function to verify specified signature..

This callback function will be triggered when a signature is to be verified by an action. If user does not want to verify the signature, just implement this function to do nothing and just return FSDK.Signature.e_StateUnknown. User is recommended to use class FSDK.LTVVerifier to verify if a signed signature is valid or not.

Parameters

  [in] | document | A PDF document object. It would be valid.
  [in] | pdf_signature | A PDF signature which is signed. This signature belongs to input parameter document.

Returns
  The signature verified state. Please refer to values starting from FSDK.Signature.e_StateUnknown and this would be one or combination of them.

## Member Data Documentation

## ◆ e_AppInfoTypeFormsVersion

FSDK.ActionCallback.e_AppInfoTypeFormsVersion
| static

Enumeration for application's information type.

Values of this enumeration should be used alone.Application's forms version information.

## ◆ e_JSFieldValueChangedByFormat

FSDK.ActionCallback.e_JSFieldValueChangedByFormat
| static

Enumeration for javascript field value change type.

Values of this enumeration should be used alone.javascript field value changed type: format.

## ◆ e_JSMailResultFailed

FSDK.ActionCallback.e_JSMailResultFailed
| static

Enumeration for result of the mail.

Values of this enumeration should be used alone.Mailed result: mail failed.

## ◆ e_JSMediaPlayerStateOpen

FSDK.ActionCallback.e_JSMediaPlayerStateOpen
| static

Enumeration for media player state.

Values of this enumeration should be used alone.media player state: Open.

## ◆ e_LanguageUnknown

FSDK.ActionCallback.e_LanguageUnknown
| static

Enumeration for language.

Values of this enumeration should be used alone.Unknown language.

## ◆ e_LayoutModeSinglePage

FSDK.ActionCallback.e_LayoutModeSinglePage
| static

Enumeration for layout mode.

Values of this enumeration should be used alone.Layout mode: single page.

## ◆ e_MailTypeDoc

FSDK.ActionCallback.e_MailTypeDoc
| static

Enumeration for data type to be mailed.

Values of this enumeration should be used alone.Mailed data type: document.

## ◆ e_SearchScopeActiveDoc

FSDK.ActionCallback.e_SearchScopeActiveDoc
| static

Enumeration for search scope.

Values of this enumeration should be used alone.Search scope: active document.